Bug 64087 - error out satellite-import (rpms to repository)
error out satellite-import (rpms to repository)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
unspecified
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-25 10:24 EDT by Rama
Modified: 2007-07-31 15:17 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-25 13:00:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rama 2002-04-25 10:24:42 EDT
While run the satellite-import to place rpms to the repository, it spit  
following error :

Traceback (innermost last):
  File "/usr/bin/satellite-import", line 16, in ?
    import_metadata.main(sys.argv)
  File "/var/www/rhns/satellite_tools/import_metadata.py", line 113, in main
    srcfile = rpmsPath(id, mountPoint)
  File "/var/www/rhns/satellite_tools/diskImportLib.py", line 184, in
 rpmsPath return os.path.normpath("%s/rpms/%s/rhn-package-%s.rpm" % (
  File "/var/www/rhns/satellite_tools/xmlDiskSource.py", line 83, in
 hashPackageID return format % (int(string.split(id, '-')[-1]) % factor, )
TypeError: argument 1: expected read-only character buffer, int found
Comment 1 Mihai Ibanescu 2002-04-25 11:52:38 EDT
Fixed in CVS. New package will be available by 1PM EDT.
Comment 2 Mihai Ibanescu 2002-04-25 13:00:41 EDT
New packages are available, that should fix this AFAIK.
Comment 3 Josef Komenda 2002-05-10 14:55:38 EDT
This is fixed, closing.

Note You need to log in before you can comment on or make changes to this bug.